Uploaded image for project: 'Bamboo Artifactory Plug-in'
  1. Bamboo Artifactory Plug-in
  2. BAP-271

Unable to use Gradle executable with plugin

    Details

    • Type: Bug
    • Status: Open
    • Priority: Blocker
    • Resolution: Unresolved
    • Affects Version/s: 1.7.7
    • Fix Version/s: None
    • Labels:
      None
    • Environment:

      Bamboo 5.8.1 build 5866 on Ubuntu
      Agent is Windows 7 machine

      Description

      Setting up a build task for Artifactory Gradle, I have it point to my gradle executable, but no matter what I try to adjust for command line options and tasks, I aways get the following error:

      Exception executing command "E:\gradle-2.3-bin\gradle-2.3\bin\gradle.bat -Pversion=1.0.27.27 -Pgroup=com.org -PinstallerName=Test zip -I C:\Users\builder\AppData\Local\Temp\artifactory.init.script5136247960407074787gradle -DbuildInfoConfig.propertiesFile=C:\Users\builder\AppData\Local\Temp\buildinfo2150132546489727364properties artifactoryPublish E:\gradle-2.3-bin\gradle-2.3\bin\gradle.bat could not be startedcom.atlassian.utils.process.ProcessNotStartedException: E:\gradle-2.3-bin\gradle-2.3\bin\gradle.bat could not be started
      19-Jun-2015 08:49:05 Failing task since return code of [E:\gradle-2.3-bin\gradle-2.3\bin\gradle.bat -Pversion=1.0.27.27 -Pgroup=com.org -PinstallerName=Test zip -I C:\Users\builder\AppData\Local\Temp\artifactory.init.script5136247960407074787gradle -DbuildInfoConfig.propertiesFile=C:\Users\builder\AppData\Local\Temp\buildinfo2150132546489727364properties artifactoryPublish] was -1 while expected 0

        Attachments

          Activity

            People

            • Assignee:
              eyalbe Eyal Ben Moshe (Inactive)
              Reporter:
              kthieling Kevin Thieling
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated: